# Лупа на Windows (Windows Magnifier) #

* Автор: Cyrille Bougot
* NVDA compatibility: 2019.2.1 and beyond
* Изтегляне на [стабилна версия][1]

Тази добавка подобрява използването на лупата на Windows с NVDA.


## Възможности

* Позволява докладването на резултата от задействането на някои вградени
  клавиатурни команди на лупата.
* Позволява намаляването на случаите, в които командите за навигация в
  таблици влизат в противоречие с командите на лупата.
* Добавя някои клавишни комбинации за превключване на разни вградени опции
  на лупата.
* Вече може да се запазват и възстановяват конфигурационните параметри на
  лупата.
* Добавя някои допълнителни функции, които не са налични в лупата на Windows
  (преместване на мишката в изгледа, прозорецът на лупата да не е
  най-отгоре)

## Настройки

Панелът за настройка на добавката за лупата на Windows позволява да се
конфигурира как NVDA реагира на вградените команди на лупата на
Windows. Може да предпочетете да ви бъдат докладвани повече или по-малко
команди, според степента на зрителното ви увреждане. Панелът също така
съдържа опция за промяна на поведението на контролния прозорец на лупата на
Windows.

Този панел може да се отвори, като изберете Настройки -> Опции в менюто на NVDA и след това изберете категорията "Лупа на Windows" в прозореца "Настройки".
Клавишната комбинация NVDA+Windows+O, след това пак O, също позволява директно отваряне на този панел с настройки.

Панелът съдържа следните опции:

* Докладвай преместването на изгледа: Управлява какво бива докладвано при
  преместване на изгледа с Control+Alt+Стрелките. Трите опции са:
  
    * Изключено: Нищо не се докладва.
    * Чрез реч: Речево съобщение указва позицията на увеличения изглед върху
      измерението, към което изгледът се премества.
    * Чрез тонове: Възпроизвежда се тон и височината му показва позицията на
      увеличения изглед върху измерението, към което изгледът се премества.
  
  Тази опция не засяга прикрепения режим.

* Докладвай ръбовете на екрана: Контролира какво се докладва, когато
  достигнете до ръбовете на екрана, докато движите изгледа с командите с
  Control+Alt+стрелките. Трите варианта са: изключено, с реч и с
  тонове. Тази опция не влияе на прикрепения режим.
* Сила на звука на тоновете, отчитащи позицията на изгледа: Позволява да се
  определи силата на звука на тоновете, ако е избрано да се докладва
  преместването на изгледа или ръбовете на екрана с тонове.
* Докладвай включването или изключването на лупата: Ако е отметнато,
  състоянието на лупата се докладва, когато използвате командите
  Windows+Плюс или Windows+Escape, за да я включите или изключите.
* Докладвай мащабирането: Ако е отметнато, нивото на увеличение на лупата се
  докладва, когато използвате командите Windows+Плюс или Windows+Минус за
  мащабиране.
* Докладвай инвертирането на цветовете: Ако е отметнато, състоянието на
  инвертирането на цветовете се докладва, когато използвате командата за
  превключване Control+Alt+I.
* Докладвай промяната на изгледа: Ако е отметнато, видът на изгледа се
  докладва, когато използвате команда, която променя вида на изгледа
  (Control+Alt+M, Control+Alt+F, Control+Alt+D, Control+Alt+L).
* Докладвай при преоразмеряване на лещата или прикрепения прозорец: Ако е
  отметнато, се докладва, когато използвате командите за преоразмеряване
  (Alt+Shift+Стрелките). В режим на прикрепен прозорец се отчита височината
  или ширината. В режим на леща засега не може да се докладват новите
  размери.
    Тези команди за преоразмеряване не са налични във всички версии на
  Windows. Ако вашата версия на Windows не ги поддържа, оставете тази опция
  изключена.
* В документи и списъчни изгледи, препредавай Control+Alt+Стрелките към
  лупата на Windows: Има три възможни избора:
  
    * Никога: Командата не се предава на лупата на Windows и стандартната
      навигация за таблици на NVDA може да работи. Когато се използват в
      документи извън таблица, командите Control+Alt+Стрелките докладват
      грешка "Извън клетка на таблица". Това е стандартното поведение на
      NVDA без тази добавка. Можете да използвате и NVDA+Windows+O и след
      това стрелките, за да премествате увеличения изглед.
    * Само извън таблица: В таблица или в списъчен изглед командите
      Control+Alt+Стрелките изпълняват стандартна таблична навигация. Когато
      се използват в документи извън таблица, командите
      Control+Alt+Стрелките изпълняват стандартните команди за преместване
      на лупата. Ако искате да преместите изгледа на лупата на Windows,
      докато сте в таблица или списъчен изглед, ще трябва да натиснете
      NVDA+F2, преди да използвате командите
      Control+Alt+Стрелките. Алтернативно, можете да използвате
      NVDA+Windows+O и след това стрелките. Тази опция е най-добрият
      компромис, ако искате да използвате Control+Alt+Стрелките както за
      лупата, така и за навигация в таблици.
    * Винаги: Control+Alt+Стрелките преместват изгледа на лупата във всички
      случаи. Тази опция може да е полезна, ако не използвате
      Control+Alt+Стрелките за навигация в таблици, например защото сте
      променили клавишните команди за навигация в таблици в NVDA или защото
      използвате предимно добавката [Улеснена навигация в таблиците][5] за
      навигация в таблици.

* Дръж командния прозорец на лупата на Windows винаги отгоре: Ако не е
  отметнато, контролният прозорец на лупата няма да стои над другите
  прозорци.

## Команди, добавени от тази добавка

В допълнение към командите на вградената лупа, тази добавка предоставя
допълнителни команди:

* Команди, които позволяват да бъдат контролирани опциите на лупата, без да
  се налага да се отваря екрана с настройките й.
* Допълнителни команди, специфични за тази добавка.

Всички тези допълнителни команди, са достъпни чрез слоестата команда за
лупата – NVDA+Windows+O:

* NVDA+Windows+O и след това C: Включва или изключва следенето на точката за
  въвеждане на текст.
* NVDA+Windows+O и след това F: Включва или изключва следенето на фокуса на
  клавиатурата.
* NVDA+Windows+O и след това M: Включва или изключва следенето на курсора на
  мишката.
* NVDA+Windows+O и след това T: Включва или изключва проследяването
  глобално. Когато проследяването бъде включено отново, то се задава на
  последно използваната настройка за проследяване, преди изключването на
  проследяването.
* NVDA+Windows+O и след това S: Включва или изключва изглаждането на ръбове
  на изображенията и текста.
* NVDA+Windows+O и след това R: Превключва между режимите за следене на
  курсора на мишката (в краищата или центъра на екрана). Тази функция е
  налична само под компилация 17643 или по-нови на Windows 10.
* NVDA+Windows+O и след това X: Превключва между режимите за следене на
  курсора за въвеждане (в краищата или центъра на екрана). Тази функция е
  налична само под компилация 18894 или по-нови на Windows 10.
* NVDA+Windows+O и след това Shift+P: Записва текущите конфигурационни
  параметри на лупата в конфигурацията на NVDA.
* NVDA+Windows+O и след това P: Възстановява текущите конфигурационни
  параметри на лупата от конфигурацията на NVDA. Ако преди това не са били
  записани конфигурационни параметри в конфигурацията на NVDA, вместо това
  се възстановяват конфигурационните параметри по подразбиране на лупата на
  Windows.
* NVDA+Windows+O и след това стрелките: Преместване на увеличения изглед.
* NVDA+Windows+O и след това V: Преместване на курсора на мишката в центъра
  на увеличения изглед (командата не е налична в режим на прикрепен изглед
  ).
* NVDA+Windows+O и след това W: Включва или изключва режима, който прави
  контролния прозорец на лупата на Windows винаги да е най-отгоре. Тази
  функция е достъпна само за инсталирани версии на NVDA.
* NVDA+Windows+O, след това O: Отваря настройките на добавката за лупата на
  Windows.
* NVDA+Windows+O и след това H: Извежда помощна информация за слоестите
  команди за лупата.

За всяка отделна команда няма жест по подразбиране, но можете да зададете
такъв по обичайния начин в диалоговия прозорец "Жестове на въвеждане", ако
желаете. По същия начин можете също да промените или премахнете жеста за
достъп до слоя с команди за лупата (NVDA+Windows+O). Но не можете да
промените жестовете за подкомандите за лупата.


## Вградени команди на лупата

Резултатът от следните вградени команди на лупата може да се озвучава от
добавката:

* Стартиране на лупата: Windows+Плюс (от буквено-цифрения блок или от
  цифровия блок)
* Затваряне на лупата: Windows+Escape
* Увеличаване: Windows+Плюс (от буквено-цифрения блок или от цифровия блок)
* Намаляване: Windows+Минус (от буквено-цифрения блок или от цифровия блок)
* Превключване на инвертирането на цветовете: Control+Alt+I
* Превключване към прикрепен изглед: Control+Alt+D
* Превключване към изглед на цял екран: Control+Alt+F
* Превключване към изглед на леща: Control+Alt+L
* Превключване между трите режима на изглед: Control+Alt+M
* Преоразмеряване на лещата посредством клавиатурата: Shift+Alt+Стрелка
  наляво/надясно/нагоре/надолу. Забележка: въпреки че май не е
  документирано, тези команди изглежда са премахнати в последните издания на
  Windows (например Windows 10 версия 2004).
* Преместване на увеличения изглед: Control+Alt+Стрелките

Ето списък с други вградени команди на лупата, само за информация:

* Control+Alt+Колелото за превъртане на мишката: Увеличава и намалява чрез
  колелото за превъртане на мишката.
* Control+Windows+M: Отваря прозореца с настройки на лупата.
* Control+Alt+R: Преоразмерява лещата чрез мишката.
* Control+Alt+Интервал: Бързо показва целия работен плот при използване на
  изглед на цял екран.

Вградените команди на лупата не може да бъдат променяни.


## Бележки

* За компютри, оборудвани с графична карта на Intel, Control+Alt+Стрелка
  (наляво/надясно/нагоре/надолу) се използват и за промяна на ориентацията
  на екрана. Тези клавишни команди по подразбиране са включени и
  противоречат с клавишните команди на лупата на Windows за преместване на
  изгледа. Ще трябва да ги изключите, за да можете да ги използвате за
  лупата. Те могат да бъдат изключени в контролния панел на Intel или от
  контекстното меню за иконката на Intel, присъстваща в областта за
  уведомяване.
* В зависимост от версията на Windows, Alt+Shift+Клавишите със стрелките са
  клавишни команди на лупата на Windows за промяна на размера на увеличения
  изглед (леща или прикрепен). Когато лупата е стартирана (дори в режим на
  цял екран), тези клавишни команди се прихващат от лупата и не могат да
  бъдат предадени на приложението, дори ако преди това натиснете NVDA+F2. За
  да използвате тези клавишни команди в текущото приложение, трябва да
  затворите лупата (Windows+Escape) и да я отворите отново след това
  (Windows+Плюс). Например в Microsoft Word, за да намалите нивото на
  заглавието:
  
    * Натиснете Windows+Escape, за да затворите лупата.
    * Натиснете Alt+Shift+Стрелка надясно, за да намалите нивото на текущото
      заглавие.
    * Натиснете Windows+Плюс, за да стартирате лупата отново.

* За повече информация относно функциите и командите на лупата на Windows,
  може да прочетете информацията на следните страници:

    * [Използвайте лупата, за да ви е лесно да виждате това, което е на
      екрана](https://support.microsoft.com/bg-bg/help/11542/windows-use-magnifier-to-make-things-easier-to-see)
    * [Клавишни комбинации за достъпност в Windows][4]

* Тази добавка не е тествана в среда с няколко свързани монитора и е
  вероятно някои функции да не работят в такава среда. Ако използвате среда
  с няколко свързани монитора и искате тя да бъде поддържана, моля, свържете
  се с мен, за да бъде внедрена такава функционалност.
* Като цяло, не се колебайте да се свържете с мен посредством [страницата на
  тази добавка в GitHub][3] или директно по електронната поща.


## Списък с промените

### Версия 3.5

* Подготовка за съвместимост с NVDA 2024.1.
* Адресира потенциални проблеми със сигурността, свързани с
  [GHSA-xg6w-23rw-39r8][8] при използване на добавката с по-стари версии на
  NVDA. Въпреки това се препоръчва да използвате NVDA 2023.3.3 или по-нова
  версия.
* Забележка: Отсега нататък обновяванията на превода няма да се показват
  повече в списъка с промените.

### Версия 3.4

* Командата "преместване на мишката в изгледа" работи отново
* Обновени преводи.

### Версия 3.3

* Съвместимостта е ограничена до NVDA 2019.2.1 и по-нови версии. Последните
  съвместими версии с NVDA 2018.3 са [3.2][7] (частично съвместима) и
  [1.1][6] (напълно съвместима)
* Поправена е грешка свързана с панела с настройки в NVDA 2019.2.1.

### Версия 3.2

* Премахнат е тестовият канал.
* Обновени преводи.

### Версия 3.1

* Отстранена е грешка, пречеща на командния прозорец на лупата да бъде
  възстановен най-отгоре.
* Отстранен е проблем, пречещ на добавката да работи с NVDA 2019.2.1.
* Обновени преводи.

### Версия 3.0

* Натискането на бутоните за увеличение в прозореца на лупата (с
  клавиатурата) вече докладва новото ниво на увеличение.
* Параметърът, контролиращ дали контролният прозорец на лупата остава винаги
  отгоре, вече се съхранява в конфигурацията. Това означава, че този
  параметър се запомня при рестартиране на NVDA и може да бъде активиран или
  не в зависимост от активния профил.
* Коригирана грешка, причиняваща неочаквано деактивиране на екранната завеса
  при използване на командите за преместване към изгледа или преместване на
  изгледа.
* Настройката на опцията "винаги най-отгоре" вече ще се зачита и при промяна
  на режима на увеличение.
* Добавена възможност за запазване и възстановяване на конфигурацията на
  лупата на Windows в конфигурацията на NVDA.
* Съвместимост с NVDA 2023.1.
* Уточнено е кой тип проследяване се задейства отново, когато проследяването
  бъде повторно включено.
* Обновени преводи.

### Версия 2.0

* Изгледът може да се премества със стрелките, докато е активен слоя за
  лупата на Windows.
* Възможност за показване на командния прозорец на лупата най-отгоре или не.
* Добавена е функция "Докладвай ръбовете на екрана".
* Настройка на силата на звука за тоновете при използване на командите за
  преместване на изгледа.
* Командите за докладването на преместването на изгледа и преместването на
  мишката в изгледа вече се поддържат в режим "Леща".
* Съвместимост с NVDA 2022.1.
* Отстранена е грешка, поради която понякога неправилно се съобщава, че
  лупата не работи при извикване на скриптове.
* Издаването вече се изпълнява посредством действие на GitHub вместо
  AppVeyor.
* Обновени преводи.

### Версия 1.1

* Добавени преводи.

### Версия 1.0

* Първо издание.

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=winmag

[3]: https://github.com/CyrilleB79/winMag

[4]: https://support.microsoft.com/bg-bg/help/13810

[5]: https://addons.nvda-project.org/addons/easyTableNavigator.bg.html

[6]:
https://github.com/CyrilleB79/winMag/releases/download/V1.1/winMag-1.1.nvda-addon

[7]:
https://github.com/CyrilleB79/winMag/releases/download/V3.2/winMag-3.2.nvda-addon

[8]:
https://github.com/nvaccess/nvda/security/advisories/GHSA-xg6w-23rw-39r8#event-132994
